GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
time_averaged_stats.c File Reference
`#include "src/core/iomgr/time_averaged_stats.h"`

## Functions
void | grpc_time_averaged_stats_init (grpc_time_averaged_stats *stats, double init_avg, double regress_weight, double persistence_factor)
void | grpc_time_averaged_stats_add_sample (grpc_time_averaged_stats *stats, double value)
double | grpc_time_averaged_stats_update_average (grpc_time_averaged_stats *stats)

## Function Documentation

void grpc_time_averaged_stats_add_sample | ( | grpc_time_averaged_stats * | stats,
|  | double | value
| ) |  |

void grpc_time_averaged_stats_init | ( | grpc_time_averaged_stats * | stats,
|  | double | init_avg,
|  | double | regress_weight,
|  | double | persistence_factor
| ) |  |

double grpc_time_averaged_stats_update_average | ( | grpc_time_averaged_stats * | stats | ) |